function [subsets] = genRandomSubsets(X, numSubsets)
% GENRANDOMSUBSETS - Generates a random partitioning of rows of X.
%
% Usage:
%        [subsets] = genRandomSubsets(X, numSubsets)
%
%

% Get number of rows of X
n = size(X,1); 

% Compute number of times that we need to repeat 1:numSubsets to cover all
% rows
numRepeats = ceil(n/numSubsets);

% generate a vector that's 1:10 repeatedly, denoting which subset each
% example will go to
subsets = repmat(1:numSubsets, 1, numRepeats); 

% In case the vector was too long when we used "ceil", make it the right
% size
subsets = subsets(1:n);

% randomize this order with exactly n elements
subsets = subsets(randperm(n));